mobile_image_mounter_client_t
mobile_image_mounter_error_t
mobile_image_mounter_free
mobile_image_mounter_hangup
mobile_image_mounter_lookup_image
mobile_image_mounter_mount_image
mobile_image_mounter_mount_image_with_options
mobile_image_mounter_new
mobile_image_mounter_query_developer_mode_status
mobile_image_mounter_query_nonce
mobile_image_mounter_query_personalization_identifiers
mobile_image_mounter_query_personalization_manifest
mobile_image_mounter_roll_cryptex_nonce
mobile_image_mounter_roll_personalization_nonce
MOBILE_IMAGE_MOUNTER_SERVICE_NAME
mobile_image_mounter_start_service
mobile_image_mounter_unmount_image
mobile_image_mounter_upload_cb_t
mobile_image_mounter_upload_image

## mobile_image_mounter_new()

LIBIMOBILEDEVICE_API mobile_image_mounter_error_t mobile_image_mounter_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | mobile_image_mounter_client_t * | client )

Connects to the mobile_image_mounter service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated mobile_image_mounter_client_t upon successful return.

Returns
  MOBILE_IMAGE_MOUNTER_E_SUCCESS on success, MOBILE_IMAGE_MOUNTER_E_INVALID_ARG if device is NULL, or MOBILE_IMAGE_MOUNTER_E_CONN_FAILED if the connection to the device could not be established.